#ifndef VORBISSTREAMPARAMETER_H_
#define VORBISSTREAMPARAMETER_H_

#include "definition.h"
#include "streamParameter.h"

class VorbisStreamParameter : public StreamParameter
{
  public:

    uint32 channels;
    uint32 rate;

    uint32 block0;
    uint32 block1;

    VorbisStreamParameter();
    virtual ~VorbisStreamParameter();

    virtual bool operator==(const StreamParameter& param);

    virtual std::string toString();

    virtual StreamParameter* clone();

};

#endif /*VORBISSTREAMPARAMETER_H_*/
